Redmine - Defect #34980

Fix "undefined method ‘represent_boolean_as_integer=' for nil:NilClass" in Rails 6.1
2021-03-29 22:15 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Method config.active_record.sqlite3.represent_boolean_as_integer was deprecated in Rails 6.0 and removed in Rails 6.1

Since Redmine stores boolean values in sqlite3 databases as 1 and 0, we can safely remove this option from config.

Related issues:
Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20881 - 2021-04-01 16:34 - Go MAEDA
Fix "undefined method for nil:NilClass" in Rails 6.1 (#29914, #34980).

Patch by Marius BALTEANU.

History

#1 - 2021-03-29 22:16 - Marius BALTEANU
- File 0002-Fix-undefined-method-for-nil-NilClass-in-Rails-6.1.patch added

#2 - 2021-03-29 22:17 - Marius BALTEANU
- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2021-04-01 16:37 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed as a part of #29914.

#4 - 2021-04-04 13:05 - Marius BALTEANU
- Target version deleted (5.0.0)

Files

0002-Fix-undefined-method-for-nil-NilClass-in-Rails-6.1.patch 901 Bytes 2021-03-29 Marius BALTEANU
https://guides.rubyonrails.org/6_0_release_notes.html#active-record-deprecations
https://guides.rubyonrails.org/6_1_release_notes.html#active-record-removals
https://www.redmine.org/issues/29914
http://www.tcpdf.org

